
matrix1 = extr3;
matrix2 = extr1;
length = 224;
magnitude_width = 6;
degree_width = ceil(log2(hist_cn_degree(1,1)));
if(size(matrix1,2) < size(matrix2,2))
    max_it = size(matrix1,2);
else
    max_it = size(matrix2,2);
end

for iteration = 1:max_it
        cn1_extr = zeros(length, 3);
        cn2_extr = zeros(length, 3);
        row = de2bi(matrix1(:,iteration), hist_cn_degree(1,1) + 1 + 2 * magnitude_width + degree_width);
        cn1_extr(:, 1) = row(:,1);
        cn1_extr(:, 2) = bi2de(row(:,hist_cn_degree(1,1)+ 2 + degree_width : hist_cn_degree(1,1)+ 2 + degree_width + magnitude_width - 1));
        cn1_extr(:, 3) = bi2de(row(:,hist_cn_degree(1,1)+ 2 + degree_width + magnitude_width : hist_cn_degree(1,1)+ 2 + degree_width + 2 * magnitude_width - 1));
        row = de2bi(matrix2(:,iteration), hist_cn_degree(1,1) + 1 + 2 * magnitude_width + degree_width);
        cn2_extr(:, 1) = row(:,1);
        cn2_extr(:, 2) = bi2de(row(:,hist_cn_degree(1,1)+ 2 + degree_width : hist_cn_degree(1,1)+ 2 + degree_width + magnitude_width - 1));
        cn2_extr(:, 3) = bi2de(row(:,hist_cn_degree(1,1)+ 2 + degree_width + magnitude_width : hist_cn_degree(1,1)+ 2 + degree_width + 2 * magnitude_width - 1));
        different = cn1_extr(:,:) == cn2_extr(:,:);
        if(~isempty(find(different == 0)))
            [row, col] = find(different == 0)
        end
end

matrix1 = sds3;
matrix2 = sds1;
length = 576;
if(size(matrix1,2) < size(matrix2,2))
    max_it = size(matrix1,2);
else
    max_it = size(matrix2,2);
end

for iteration = 1:max_it
    different = matrix1(1:length,iteration) == matrix2(1:length,iteration);
    if(~isempty(find(different == 0)))
        indices = find(different == 0);
        display([indices, matrix1(indices,iteration),matrix2(indices,iteration), matrix1(indices,iteration) - matrix2(indices,iteration)]);
        %access_indices = [find(ismember(sn_order(:,1), indices)), sn_order(find(ismember(sn_order(:,1), indices)),1)]
    end
end