#######################
# SystemC Compilation #
#######################

# Create Library work
#vlib work

# Generate SystemC Wrapper
# scgenmod  .... > ...h

# Convert SystemC trace file
# vcd2wlf ../LDPC/traces.vcd sysC.wlf

# 1) Delete earlier compilate
vdel -allsystemc

# 2) Compile cpp files with debug information
sccom -g ../LDPC/sc_main.cpp

# 3) Compile vhd files
vcom -93 ../VHDL/Packages/*.vhd
vcom -93 ../VHDL/*.vhd

# 4) link
sccom -link

# 5) optimize top module for debug
vopt +acc top -o top_opt

# 6) open simulation
vsim top_opt